Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Environment_out Class Reference

CORBA_Environment_out. More...

`#include <Environment.h>`

Collaboration diagram for CORBA_Environment_out:

[legend]
List of all members.

## Public Methods
| CORBA_Environment_out (CORBA_Environment_ptr &)
| CORBA_Environment_out (CORBA_Environment_var &)
| CORBA_Environment_out (const CORBA_Environment_out &)
CORBA_Environment_out& | operator= (const CORBA_Environment_out &)
CORBA_Environment_out& | operator= (CORBA_Environment_ptr)
| operator CORBA_Environment_ptr & ()
CORBA_Environment_ptr& | ptr (void)
CORBA_Environment_ptr | operator-> (void)
## Private Methods
CORBA_Environment_out& | operator= (const CORBA_Environment_var &)
| Assignment from _var not allowed.
## Private Attributes
CORBA_Environment_ptr& | ptr_

## Detailed Description

CORBA_Environment_out.

The _out class for CORBA_Environment. This is used to help in managing the out parameters.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Environment_out::CORBA_Environment_out ( | CORBA_Environment_ptr & p )

ACE_INLINE CORBA_Environment_out::CORBA_Environment_out ( | CORBA_Environment_var & p )

ACE_INLINE CORBA_Environment_out::CORBA_Environment_out ( | const CORBA_Environment_out & p )

## Member Function Documentation

ACE_INLINE CORBA_Environment_out::operator CORBA_Environment_ptr & ( | )

ACE_INLINE CORBA_Environment_ptr CORBA_Environment_out::operator-> ( | void )

CORBA_Environment_out & CORBA_Environment_out::operator= ( | const CORBA_Environment_var & )`[private]`

| Assignment from _var not allowed.

ACE_INLINE CORBA_Environment_out & CORBA_Environment_out::operator= ( | CORBA_Environment_ptr p )

ACE_INLINE CORBA_Environment_out & CORBA_Environment_out::operator= ( | const CORBA_Environment_out & p )

ACE_INLINE CORBA_Environment_ptr & CORBA_Environment_out::ptr ( | void )

## Member Data Documentation

CORBA_Environment_ptr & CORBA_Environment_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- Environment.h
- Environment.i